- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# PolicyC.cpp File Reference

`#include "tao/PolicyC.h"`
`#include "tao/CDR.h"`
`#include "tao/Invocation_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "tao/AnyTypeCode_Adapter.h"`
`#include "ace/Dynamic_Service.h"`

Include dependency graph for PolicyC.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
class | TAO::Arg_Traits< CORBA::Policy >
## Defines
#define | _CORBA_POLICY__ARG_TRAITS_CS_
## Typedefs
typedef Policy * | CORBA::Policy_ptr
typedef TAO_Objref_Var_T< Policy > | CORBA::Policy_var
typedef TAO_Objref_Out_T< Policy > | CORBA::Policy_out
## Functions
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::PolicyError &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::PolicyError &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::InvalidPolicies &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::InvalidPolicies &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::Policy_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::Policy_ptr &_tao_objref)
## Variables
TAO::Collocation_Proxy_Broker *(*) | CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer (CORBA::Object_ptr obj)=0

## Define Documentation

#define _CORBA_POLICY__ARG_TRAITS_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::Policy_ptr | _tao_objref |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::InvalidPolicies & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::PolicyError & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::Policy_ptr & | _tao_objref |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::InvalidPolicies & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::PolicyError & | _tao_aggregate |
| ) |  |  |

## Variable Documentation

TAO::Collocation_Proxy_Broker*(*) CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer(CORBA::Object_ptr obj)=0